gnutls_hmac_set_nonce(3)

NAME
gnutls_hmac_set_nonce - API function

SYNOPSIS
#include <gnutls/crypto.h>

void gnutls_hmac_set_nonce(gnutls_hmac_hd_t handle, const void * nonce, size_t nonce_len);

ARGUMENTS

gnutls_hmac_hd_t handle
    is a gnutls_cipher_hd_t structure.

const void * nonce
    the data to set as nonce

size_t nonce_len
    The length of data

DESCRIPTION
This function will set the nonce in the MAC algorithm.

SINCE
3.2.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/